package com.zd.laboratory.event;

import com.zd.common.core.enums.SenseStateEnum;
import com.zd.laboratory.mqtt.entiy.SensorStatus;
import org.springframework.context.ApplicationEvent;

/**
 * 视频状态变更事件
 * @Author: zhoupan
 * @Date: 2021/10/20/10:22
 * @Description:
 */
public class SensorStatusEvent extends ApplicationEvent {

    public SensorStatusEvent(SensorStatus source) {
        super(source);
    }

    @Override
    public SensorStatus getSource() {
        return (SensorStatus)super.getSource();
    }


}
